Index: typo3/sysext/adodb/adodb/tests/test.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test.php	(working copy)
@@ -1167,55 +1172,55 @@
 	$rs = $db->CacheExecute(6,"select distinct firstname,lastname from ADOXYZ");
 	print_r($rs->fields); echo $rs->fetchMode;echo "<br>";
 	echo $rs->Fields('firstname');
-	
+
 	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
 	$rs = $db->CacheExecute(6,"select distinct firstname,lastname from ADOXYZ");
 	print_r($rs->fields);echo "<br>";
 	echo $rs->Fields('firstname');
 	$db->debug = false;
-	
+
 	$ADODB_FETCH_MODE = ADODB_FETCH_NUM;
 	// phplens
-	
+
 	$sql = 'select * from ADOXYZ where 0=1';
 	echo "<p>**Testing '$sql' (phplens compat 1)</p>";
 	$rs = $db->Execute($sql);
 	if (!$rs) err( "<b>No recordset returned for '$sql'</b>");
 	if (!$rs->FieldCount()) err( "<b>No fields returned for $sql</b>");
 	if (!$rs->FetchField(1)) err( "<b>FetchField failed for $sql</b>");
-	
+
 	$sql = 'select * from ADOXYZ order by 1';
 	echo "<p>**Testing '$sql' (phplens compat 2)</p>";
 	$rs = $db->Execute($sql);
 	if (!$rs) err( "<b>No recordset returned for '$sql'<br>".$db->ErrorMsg()."</b>");
-	
-	
+
+
 	$sql = 'select * from ADOXYZ order by 1,1';
 	echo "<p>**Testing '$sql' (phplens compat 3)</p>";
 	$rs = $db->Execute($sql);
 	if (!$rs) err( "<b>No recordset returned for '$sql'<br>".$db->ErrorMsg()."</b>");
-	
-	
+
+
 	// Move
 	$rs1 = $db->Execute("select id from ADOXYZ where id <= 2 order by 1");
 	$rs2 = $db->Execute("select id from ADOXYZ where id = 3 or id = 4 order by 1");
 
 	if ($rs1) $rs1->MoveLast();
 	if ($rs2) $rs2->MoveLast();
-	
+
 	if (empty($rs1) || empty($rs2) || $rs1->fields[0] != 2 || $rs2->fields[0] != 4) {
 		$a = $rs1->fields[0];
 		$b = $rs2->fields[0];
 		print "<p><b>Error in multiple recordset test rs1=$a rs2=$b (should be rs1=2 rs2=4)</b></p>";
 	} else
 		print "<p>Testing multiple recordsets OK</p>";
-		
-	
+
+
 	echo "<p> GenID test: ";
-	for ($i=1; $i <= 10; $i++) 
+	for ($i=1; $i <= 10; $i++)
 		echo  "($i: ",$val = $db->GenID($db->databaseType.'abcseq6' ,5), ") ";
 	if ($val == 0) Err("GenID not supported");
-	
+
 	if ($val) {
 		$db->DropSequence('abc_seq2');
 		$db->CreateSequence('abc_seq2');
@@ -1226,17 +1231,17 @@
 		if ($val != 1) Err("Drop and Create Sequence not supported ($val)");
 	}
 	echo "<p>";
-	
+
 	if (substr($db->dataProvider,0,3) != 'notused') { // used to crash ado
 		$sql = "select firstnames from ADOXYZ";
 		print "<p>Testing execution of illegal statement: <i>$sql</i></p>";
 		if ($db->Execute($sql) === false) {
 			print "<p>This returns the following ErrorMsg(): <i>".$db->ErrorMsg()."</i> and ErrorNo(): ".$db->ErrorNo().'</p>';
-		} else 
+		} else
 			print "<p><b>Error in error handling -- Execute() should return false</b></p>";
-	} else 
+	} else
 		print "<p><b>ADO skipped error handling of bad select statement</b></p>";
-	
+
 	print "<p>ASSOC TEST 2<br>";
 	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
 	$rs = $db->query('select * from ADOXYZ order by id');
@@ -1247,38 +1252,38 @@
 		Err("Error No = $ee");
 	}
 	print_r($rs->fields);
-	for($i=0;$i<$rs->FieldCount();$i++) 
-	{ 
-		$fld=$rs->FetchField($i); 
-		print "<br> Field name is ".$fld->name; 
-		print " ".$rs->Fields($fld->name); 
-	} 
+	for($i=0;$i<$rs->FieldCount();$i++)
+	{
+		$fld=$rs->FetchField($i);
+		print "<br> Field name is ".$fld->name;
+		print " ".$rs->Fields($fld->name);
+	}
+
 
-		
 	print "<p>BOTH TEST 2<br>";
 	if ($db->dataProvider == 'ado') {
 		print "<b>ADODB_FETCH_BOTH not supported</b> for dataProvider=".$db->dataProvider."<br>";
 	} else {
 		$ADODB_FETCH_MODE = ADODB_FETCH_BOTH;
 		$rs = $db->query('select * from ADOXYZ order by id');
-		for($i=0;$i<$rs->FieldCount();$i++) 
-		{ 
-			$fld=$rs->FetchField($i); 
-			print "<br> Field name is ".$fld->name; 
-			print " ".$rs->Fields($fld->name); 
-		} 
+		for($i=0;$i<$rs->FieldCount();$i++)
+		{
+			$fld=$rs->FetchField($i);
+			print "<br> Field name is ".$fld->name;
+			print " ".$rs->Fields($fld->name);
+		}
 	}
-	
+
 	print "<p>NUM TEST 2<br>";
 	$ADODB_FETCH_MODE = ADODB_FETCH_NUM;
 	$rs = $db->query('select * from ADOXYZ order by id');
-	for($i=0;$i<$rs->FieldCount();$i++) 
-	{ 
-		$fld=$rs->FetchField($i); 
-		print "<br> Field name is ".$fld->name; 
-		print " ".$rs->Fields($fld->name); 
-	} 
-	
+	for($i=0;$i<$rs->FieldCount();$i++)
+	{
+		$fld=$rs->FetchField($i);
+		print "<br> Field name is ".$fld->name;
+		print " ".$rs->Fields($fld->name);
+	}
+
 	print "<p>ASSOC Test of SelectLimit<br>";
 	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
 	$rs = $db->selectlimit('select * from ADOXYZ order by id',3,4);
@@ -1292,8 +1297,8 @@
 		$rs->MoveNext();
 	}
 	if ($cnt != 3) print "<br><b>Count should be 3, instead it was $cnt</b></p>";
-	
-	
+
+
 	$ADODB_FETCH_MODE = ADODB_FETCH_NUM;
 	if ($db->sysDate) {
 		$saved = $db->debug;
@@ -1303,7 +1308,7 @@
 			print "<p><b>Invalid date {$rs->fields[0]}</b></p>";
 		} else
 			print "<p>Passed \$sysDate test ({$rs->fields[0]})</p>";
-		
+
 		print_r($rs->FetchField(0));
 		print time();
 		$db->debug=$saved;
@@ -1314,14 +1319,14 @@
 	print "<p>Test CSV</p>";
 	include_once('../toexport.inc.php');
 	//$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
-	$rs = $db->SelectLimit('select id,firstname,lastname,created,\'He, he\' he,\'"\' q  from ADOXYZ',10);	
-	
+	$rs = $db->SelectLimit('select id,firstname,lastname,created,\'He, he\' he,\'"\' q  from ADOXYZ',10);
+
 	print "<pre>";
 	print rs2csv($rs);
 	print "</pre>";
-	
-	$rs = $db->SelectLimit('select id,firstname,lastname,created,\'The	"young man", he said\' from ADOXYZ',10);	
-	
+
+	$rs = $db->SelectLimit('select id,firstname,lastname,created,\'The	"young man", he said\' from ADOXYZ',10);
+
 	if (PHP_VERSION < 5) {
 		print "<pre>";
 		rs2tabout($rs);
@@ -1329,7 +1334,7 @@
 	}
 	print " CacheFlush ";
 	$db->CacheFlush();
-	
+
 	$date = $db->SQLDate('d-m-M-Y-\QQ h:i:s A');
 	$sql = "SELECT $date from ADOXYZ";
 	print "<p>Test SQLDate: ".htmlspecialchars($sql)."</p>";
@@ -1337,7 +1342,7 @@
 	$d = date('d-m-M-Y-').'Q'.(ceil(date('m')/3.0)).date(' h:i:s A');
 	if (!$rs) Err("SQLDate query returned no recordset");
 	else if ($d != $rs->fields[0]) Err("SQLDate 1 failed expected: <br>act:$d <br>sql:".$rs->fields[0]);
-	
+
 	$date = $db->SQLDate('d-m-M-Y-\QQ h:i:s A',$db->DBDate("1974-02-25"));
 	$sql = "SELECT $date from ADOXYZ";
 	print "<p>Test SQLDate: ".htmlspecialchars($sql)."</p>";
@@ -1351,27 +1356,27 @@
 	} else if ($d != reset($rs->fields)) {
 		Err("SQLDate 2 failed expected: <br>act:$d <br>sql:".$rs->fields[0].' <br>'.$db->ErrorMsg());
 	}
-	
-	
+
+
 	print "<p>Test Filter</p>";
 	$db->debug = 1;
-	
+
 	$rs = $db->SelectLimit('select * from ADOXYZ where id < 3 order by id');
-	
+
 	$rs = RSFilter($rs,'do_strtolower');
 	if (trim($rs->fields[1]) != 'caroline'  && trim($rs->fields[2]) != 'miranda') {
 		err('**** RSFilter failed');
 		print_r($rs->fields);
 	}
-	
+
 	rs2html($rs);
-		
+
 	$db->debug=1;
-	
-	
+
+
 	print "<p>Test Replace</p>";
-	
-	$ret = $db->Replace('ADOXYZ', 
+
+	$ret = $db->Replace('ADOXYZ',
 		array('id'=>1,'firstname'=>'Caroline','lastname'=>'Miranda'),
 		array('id'),
 		$autoq = true);
@@ -1390,24 +1395,24 @@
 		}
 		$ADODB_COUNTRECS = $savec;
 	}
-	$ret = $db->Replace('ADOXYZ', 
+	$ret = $db->Replace('ADOXYZ',
 		array('id'=>1000,'firstname'=>'Harun','lastname'=>'Al-Rashid'),
 		array('id','firstname'),
 		$autoq = true);
 	if ($ret != 2) print "<b>Replace failed: </b>";
 	print "test A return value=$ret (2 expected) <p>";
-	
-	$ret = $db->Replace('ADOXYZ', 
+
+	$ret = $db->Replace('ADOXYZ',
 		array('id'=>1000,'firstname'=>'Sherazade','lastname'=>'Al-Rashid'),
 		'id',
 		$autoq = true);
-	if ($ret != 1) 
+	if ($ret != 1)
 		if ($db->dataProvider == 'ibase' && $ret == 2);
 		else print "<b>Replace failed: </b>";
 	print "test B return value=$ret (1 or if ibase then 2 expected) <p>";
-	
+
 	print "<h3>rs2rs Test</h3>";
-	
+
 	$rs = $db->Execute('select * from ADOXYZ where id>= 1 order by id');
 	$rs = $db->_rs2rs($rs);
 	$rs->valueX = 'X';
@@ -1420,11 +1425,11 @@
 	include_once('../pivottable.inc.php');
 	print "<h3>Pivot Test</h3>";
 	$db->debug=true;
- 	$sql = PivotTableSQL(
- 		$db,  			# adodb connection
- 		'ADOXYZ',  		# tables
+	$sql = PivotTableSQL(
+		$db,  			# adodb connection
+		'ADOXYZ',  		# tables
 		'firstname',	# row fields
-		'lastname',		# column fields 
+		'lastname',		# column fields
 		false,			# join
 		'ID', 			# sum
 		'Sum ',			# label for sum
@@ -1434,17 +1439,17 @@
 	$rs = $db->Execute($sql);
 	if ($rs) rs2html($rs);
 	else Err("Pivot sql error");
-	
+
 	$pear = true; //true;
 	$db->debug=false;
-	
+
 	if ($pear) {
 	// PEAR TESTS BELOW
 	$ADODB_FETCH_MODE = ADODB_FETCH_NUM;
-	
+
 	include_once "PEAR.php";
 	$rs = $db->query('select * from ADOXYZ where id>0 and id<10 order by id');
-	
+
 	$i = 0;
 	if ($rs && !$rs->EOF) {
 		while ($arr = $rs->fetchRow()) {
@@ -1459,20 +1464,20 @@
 		}
 		$rs->Close();
 	}
-	
-	
+
+
 	if ($i != $db->GetOne('select count(*) from ADOXYZ where id>0 and id<10')) {
 		print "<p><b>PEAR DB emulation error 1.1 EOF ($i)</b></p>";
 		$pear = false;
 	}
-	
+
 	$rs = $db->limitQuery('select * from ADOXYZ where id>0 order by id',$i=3,$top=3);
 	$i2 = $i;
 	if ($rs && !$rs->EOF) {
 
 		while (!is_object($rs->fetchInto($arr))) {
 			$i2++;
-			
+
 	//			print_r($arr);
 	//		print "$i ";print_r($arr);
 			if ($arr[0] != $i2) {
@@ -1491,7 +1496,7 @@
 	if ($pear) print "<p>PEAR DB emulation passed.</p>";
 	flush();
 
-	
+
 	$rs = $db->SelectLimit("select ".$db->sysDate." from ADOXYZ",1);
 	$date = $rs->fields[0];
 	if (!$date) Err("Bad sysDate");
@@ -1501,9 +1506,9 @@
 		else echo "Passed UserDate: $ds<p>";
 	}
 	$db->debug=1;
-	if ($db->dataProvider == 'oci8') 
+	if ($db->dataProvider == 'oci8')
 		$rs = $db->SelectLimit("select to_char(".$db->sysTimeStamp.",'YYYY-MM-DD HH24:MI:SS') from ADOXYZ",1);
-	else 
+	else
 		$rs = $db->SelectLimit("select ".$db->sysTimeStamp." from ADOXYZ",1);
 	$date = $rs->fields[0];
 	if (!$date) Err("Bad sysTimeStamp");
@@ -1511,7 +1516,7 @@
 		$ds = $db->UserTimeStamp($date,"H \\h\\r\\s-d m Y");
 		if ($ds != date("H \\h\\r\\s-d m Y")) Err("Bad UserTimeStamp: ".$ds.", correct is ".date("H \\h\\r\\s-d m Y"));
 		else echo "Passed UserTimeStamp: $ds<p>";
-		
+
 		$date = 100;
 		$ds = $db->UserTimeStamp($date,"H \\h\\r\\s-d m Y");
 		$ds2 = date("H \\h\\r\\s-d m Y",$date);
@@ -1519,12 +1524,12 @@
 		else echo "Passed UserTimeStamp 2: $ds<p>";
 	}
 	flush();
-	
+
 	if ($db->hasTransactions) {
 		$db->debug=1;
 		echo "<p>Testing StartTrans CompleteTrans</p>";
 		$db->raiseErrorFn = false;
-		
+
 		$db->SetTransactionMode('SERIALIZABLE');
 		$db->StartTrans();
 		$rs = $db->Execute('select * from notable');
@@ -1544,7 +1549,7 @@
 			if ($name == "Carolx") Err("Error: CompleteTrans (2) should have failed");
 			else echo "<p> -- Passed StartTrans test1 - rolling back</p>";
 		}
-		
+
 		$db->StartTrans();
 			$db->BeginTrans();
 		$db->Execute("update ADOXYZ set firstname='Carolx' where id=1");
@@ -1563,10 +1568,10 @@
 	$cnt = _adodb_getcount($db, 'select * from ADOXYZ where firstname in (select firstname from ADOXYZ)');
 	echo "<b>Count=</b> $cnt";
 	$db->debug=$saved;
-	
+
 	global $TESTERRS;
 	$debugerr = true;
-	
+
 	global $ADODB_LANG;$ADODB_LANG = 'fr';
 	$db->debug = false;
 	$TESTERRS = 0;
@@ -1587,35 +1592,35 @@
 	$rs = false;
 
 	flush();
-	
+
 	print "<p>SetFetchMode() tests</p>";
 	$db->SetFetchMode(ADODB_FETCH_ASSOC);
 	$rs = $db->SelectLimit('select firstname from ADOXYZ',1);
 	if (!isset($rs->fields['firstname'])) Err("BAD FETCH ASSOC");
-	
-	$ADODB_FETCH_MODE = ADODB_FETCH_NUM;	
+
+	$ADODB_FETCH_MODE = ADODB_FETCH_NUM;
 	$rs = $db->SelectLimit('select firstname from ADOXYZ',1);
 	//var_dump($rs->fields);
 	if (!isset($rs->fields['firstname'])) Err("BAD FETCH ASSOC");
-	
-	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;	
+
+	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
 	$db->SetFetchMode(ADODB_FETCH_NUM);
 	$rs = $db->SelectLimit('select firstname from ADOXYZ',1);
 	if (!isset($rs->fields[0])) Err("BAD FETCH NUM");
-	
+
 	flush();
-	
+
 	print "<p>Test MetaTables again with SetFetchMode()</p>";
 	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
 	$db->SetFetchMode(ADODB_FETCH_ASSOC);
 	print_r($db->MetaTables());
 	print "<p>";
-	
+
 	////////////////////////////////////////////////////////////////////
-	
+
 	print "<p>Testing Bad Connection</p>";
 	flush();
-	
+
 	if (true || PHP_VERSION < 5)  {
 		if ($db->dataProvider == 'odbtp') $db->databaseType = 'odbtp';
 		$conn = NewADOConnection($db->databaseType);
@@ -1623,13 +1628,13 @@
 		if (1) $conn->PConnect('abc','baduser','badpassword');
 		if ($TESTERRS == 2) print "raiseErrorFn tests passed<br>";
 		else print "<b>raiseErrorFn tests failed ($TESTERRS)</b><br>";
-		
+
 		flush();
 	}
 	////////////////////////////////////////////////////////////////////
-	
+
 	global $nocountrecs;
-	
+
 	if (isset($nocountrecs) && $ADODB_COUNTRECS) err("Error: \$ADODB_COUNTRECS is set");
 	if (empty($nocountrecs) && $ADODB_COUNTRECS==false) err("Error: \$ADODB_COUNTRECS is not set");
 
@@ -1644,10 +1649,10 @@
 	if ($rs2) $rs2->Close();
 	if ($rs) $rs->Close();
 	$db->Close();
-	
+
 	if ($db->transCnt != 0) Err("Error in transCnt=$db->transCnt (should be 0)");
-	
-	
+
+
 	printf("<p>Total queries=%d; total cached=%d</p>",$EXECS+$CACHED, $CACHED);
 	flush();
 }
@@ -1681,7 +1686,7 @@
 	CheckWS('mysqlt');
 	CheckWS('postgres');
 	CheckWS('oci8po');
-	
+
 	CheckWS('firebird');
 	CheckWS('sybase');
 	if (!ini_get('safe_mode')) CheckWS('informix');
@@ -1689,7 +1694,7 @@
 	CheckWS('ado_mssql');
 	CheckWS('ado_access');
 	CheckWS('mssql');
-	
+
 	CheckWS('vfp');
 	CheckWS('sqlanywhere');
 	CheckWS('db2');
@@ -1708,7 +1713,7 @@
 foreach($_GET as $k=>$v)  {
 	//global $$k;
 	$$k = $v;
-}	
+}
 if (strpos(PHP_VERSION,'5') === 0) {
 	//$testaccess=1;
 	//$testmssql = 1;
@@ -1720,11 +1725,11 @@
 <body bgcolor=white>
 <H1>ADODB Test</H1>
 
-This script tests the following databases: Interbase, Oracle, Visual FoxPro, Microsoft Access (ODBC and ADO), MySQL, MSSQL (ODBC, native, ADO). 
+This script tests the following databases: Interbase, Oracle, Visual FoxPro, Microsoft Access (ODBC and ADO), MySQL, MSSQL (ODBC, native, ADO).
 There is also support for Sybase, PostgreSQL.</p>
 For the latest version of ADODB, visit <a href=http://adodb.sourceforge.net/>adodb.sourceforge.net</a>.</p>
 
-Test <a href=test4.php>GetInsertSQL/GetUpdateSQL</a> &nbsp; 
+Test <a href=test4.php>GetInsertSQL/GetUpdateSQL</a> &nbsp;
 	<a href=testsessions.php>Sessions</a> &nbsp;
 	<a href=testpaging.php>Paging</a> &nbsp;
 	<a href=test-perf.php>Perf Monitor</a><p>
@@ -1740,4 +1745,4 @@
 ?>
 <p><i>ADODB Database Library  (c) 2000-2007 John Lim. All rights reserved. Released under BSD and LGPL, PHP <?php echo PHP_VERSION ?>.</i></p>
 </body>
-</html>
+</html>
\ No newline at end of file
Index: typo3/sysext/adodb/adodb/tests/test-php5.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test-php5.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test-php5.php	(working copy)
@@ -1,10 +1,15 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 /*
-  V4.81 3 May 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence.
-  Set tabs to 8.
+	V4.81 3 May 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 8.
  */
 
 
@@ -13,7 +18,7 @@
 $path = dirname(__FILE__);
 
 include("$path/../adodb-exceptions.inc.php");
-include("$path/../adodb.inc.php");	
+include("$path/../adodb.inc.php");
 
 echo "<h3>PHP ".PHP_VERSION."</h3>\n";
 try {
@@ -24,7 +29,7 @@
 switch($dbt) {
 case 'oci8po':
 	$db = NewADOConnection("oci8po");
-	
+
 	$db->Connect('','scott','natsoft');
 	break;
 default:
@@ -32,7 +37,7 @@
 	$db = NewADOConnection("mysql");
 	$db->Connect('localhost','root','','northwind');
 	break;
-	
+
 case 'mysqli':
 	$db = NewADOConnection("mysqli://root:@localhost/northwind");
 	//$db->Connect('localhost','root','','test');
@@ -87,16 +92,16 @@
 }
 
 try {
-	
+
 	ADOdb_Active_Record::SetDatabaseAdapter($db);
 	$a = new City();
-	
+
 	echo "<p>Successfully created City()<br>";
 	var_dump($a->GetPrimaryKeys());
 	$a->city = 'Kuala Lumpur';
 	$a->Save();
 	$a->Update();
-	$a->SetPrimaryKeys(array('city'));	
+	$a->SetPrimaryKeys(array('city'));
 	$a->country = "M'sia";
 	$a->save();
 	$a->Delete();
Index: typo3/sysext/adodb/adodb/tests/testpaging.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testpaging.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testpaging.php	(working copy)
@@ -1,12 +1,17 @@
 <?php
-/* 
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
+/*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
-  Set tabs to 4 for best viewing.
-	
-  Latest version is available at http://adodb.sourceforge.net
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 4 for best viewing.
+
+	Latest version is available at http://adodb.sourceforge.net
 */
 
 error_reporting(E_ALL);
@@ -43,9 +48,9 @@
 if ($driver == 'oci8') {
 	$db = NewADOConnection('oci8');
 	$db->Connect('','scott','natsoft');
-	
-$sql = "select * from (select  ID, firstname as \"First Name\", lastname as \"Last Name\" from adoxyz 
-	 order  by  1)";
+
+$sql = "select * from (select  ID, firstname as \"First Name\", lastname as \"Last Name\" from adoxyz
+	order  by  1)";
 }
 
 if ($driver == 'access') {
Index: typo3/sysext/adodb/adodb/tests/testoci8.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testoci8.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testoci8.php	(working copy)
@@ -1,14 +1,19 @@
 <html>
 <body>
 <?php
-/* 
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
+/*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
-  Set tabs to 4 for best viewing.
-	
-  Latest version is available at http://adodb.sourceforge.net
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 4 for best viewing.
+
+	Latest version is available at http://adodb.sourceforge.net
 */
 error_reporting(63);
 include("../adodb.inc.php");
@@ -16,7 +21,7 @@
 
 if (0) {
 	$db = ADONewConnection('oci8po');
-	
+
 	$db->PConnect('','scott','natsoft');
 	if (!empty($testblob)) {
 		$varHoldingBlob = 'ABC DEF GEF John TEST';
@@ -24,9 +29,9 @@
 		// create table atable (id integer, ablob blob);
 		$db->Execute('insert into ATABLE (id,ablob) values('.$num.',empty_blob())');
 		$db->UpdateBlob('ATABLE', 'ablob', $varHoldingBlob, 'id='.$num, 'BLOB');
-		
+
 		$rs = &$db->Execute('select * from atable');
-		
+
 		if (!$rs) die("Empty RS");
 		if ($rs->EOF) die("EOF RS");
 		rs2html($rs);
@@ -36,7 +41,7 @@
 	$rs = &$db->Execute(
 		$stmt,
 		array($i));
-			
+
 		if (!$rs) die("Empty RS");
 		if ($rs->EOF) die("EOF RS");
 		rs2html($rs);
@@ -53,9 +58,9 @@
 	// prepare not quite ready for prime time
 	//$rs = $db->Execute($stmt,array('empno'=>3775,'ename'=>'John'));
 	if (!$rs) die("Empty RS");
-	
+
 	$db->setfetchmode(ADODB_FETCH_NUM);
-	
+
 	$vv = 'A%';
 	$stmt = $db->PrepareSP("BEGIN adodb.open_tab2(:rs,:tt); END;",true);
 	$db->OutParameter($stmt, $cur, 'rs', -1, OCI_B_CURSOR);
Index: typo3/sysext/adodb/adodb/tests/testmssql.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testmssql.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testmssql.php	(working copy)
@@ -1,18 +1,22 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
-/** 
+/**
  * @version V4.50 6 July 2004 (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
- * Released under both BSD license and Lesser GPL library license. 
- * Whenever there is any discrepancy between the two licenses, 
- * the BSD license will take precedence. 
+ * Released under both BSD license and Lesser GPL library license.
+ * Whenever there is any discrepancy between the two licenses,
+ * the BSD license will take precedence.
  *
  * Set tabs to 4 for best viewing.
- * 
+ *
  * Latest version is available at http://php.weblogs.com
  *
  * Test GetUpdateSQL and GetInsertSQL.
  */
- 
+
 error_reporting(E_ALL);
 
 
@@ -64,11 +68,11 @@
 $conn->UpdateBlobFile('blobtest','b1','../cute_icons_for_site/adodb.gif','id=1');
 $rs = $conn->Execute('select b1 from blobtest where id=1');
 
-$output = "c:\\temp\\test_out-".date('H-i-s').".gif"; 
+$output = "c:\\temp\\test_out-".date('H-i-s').".gif";
 print "Saving file <b>$output</b>, size=".strlen($rs->fields[0])."<p>";
-$fd = fopen($output, "wb"); 
-fwrite($fd, $rs->fields[0]); 
-fclose($fd); 
+$fd = fopen($output, "wb");
+fwrite($fd, $rs->fields[0]);
+fclose($fd);
 
 print " <a href=file://$output>View Image</a>";
 //$rs = $conn->Execute('SELECT id,SUBSTRING(b1, 1, 10) FROM blobtest');
Index: typo3/sysext/adodb/adodb/tests/testoci8cursor.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testoci8cursor.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testoci8cursor.php	(working copy)
@@ -1,21 +1,26 @@
 <?php
-/* 
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
+/*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
-  Set tabs to 4 for best viewing.
-	
-  Latest version is available at http://adodb.sourceforge.net
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 4 for best viewing.
+
+	Latest version is available at http://adodb.sourceforge.net
 */
 
 /*
 	Test for Oracle Variable Cursors, which are treated as ADOdb recordsets.
-	
-	We have 2 examples. The first shows us using the Parameter statement. 
+
+	We have 2 examples. The first shows us using the Parameter statement.
 	The second shows us using the new ExecuteCursor($sql, $cursorName)
 	function.
-	
+
 ------------------------------------------------------------------
 -- TEST PACKAGE YOU NEED TO INSTALL ON ORACLE - run from sql*plus
 ------------------------------------------------------------------
@@ -25,7 +30,7 @@
 CREATE OR REPLACE PACKAGE adodb AS
 TYPE TabType IS REF CURSOR RETURN tab%ROWTYPE;
 PROCEDURE open_tab (tabcursor IN OUT TabType,tablenames in varchar);
-PROCEDURE data_out(input IN varchar, output OUT varchar); 
+PROCEDURE data_out(input IN varchar, output OUT varchar);
 
 procedure myproc (p1 in number, p2 out number);
 END adodb;
@@ -36,12 +41,12 @@
 	BEGIN
 		OPEN tabcursor FOR SELECT * FROM tab where tname like tablenames;
 	END open_tab;
-	
+
 PROCEDURE data_out(input IN varchar, output OUT varchar) IS
 	BEGIN
 		output := 'Cinta Hati '||input;
 	END;
-	
+
 procedure myproc (p1 in number, p2 out number) as
 begin
 p2 := p1;
@@ -68,24 +73,24 @@
 */
 
 	define('MYNUM',5);
-	
+
 
 	$rs = $db->ExecuteCursor("BEGIN adodb.open_tab(:RS,'A%'); END;");
-	
+
 	if ($rs && !$rs->EOF) {
 		print "Test 1 RowCount: ".$rs->RecordCount()."<p>";
 	} else {
 		print "<b>Error in using Cursor Variables 1</b><p>";
 	}
-	
+
 	print "<h4>Testing Stored Procedures for oci8</h4>";
-	
+
 	$stid = $db->PrepareSP('BEGIN adodb.myproc('.MYNUM.', :myov); END;');
 	$db->OutParameter($stid, $myov, 'myov');
 	$db->Execute($stid);
 	if ($myov != MYNUM) print "<p><b>Error with myproc</b></p>";
-	
-	
+
+
 	$stmt = $db->PrepareSP("BEGIN adodb.data_out(:a1, :a2); END;",true);
 	$a1 = 'Malaysia';
 	//$a2 = ''; # a2 doesn't even need to be defined!
@@ -98,14 +103,14 @@
 	} else {
 		print "<b>Error in using Stored Procedure IN/Out Variables</b><p>";
 	}
-	
-	
+
+
 	$tname = 'A%';
-	
+
 	$stmt = $db->PrepareSP('select * from tab where tname like :tablename');
 	$db->Parameter($stmt,$tname,'tablename');
 	$rs = $db->Execute($stmt);
 	rs2html($rs);
-		
-		
+
+
 ?>
\ No newline at end of file
Index: typo3/sysext/adodb/adodb/tests/benchmark.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/benchmark.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/benchmark.php	(working copy)
@@ -3,25 +3,30 @@
 <html>
 <head>
 	<title>ADODB Benchmarks</title>
-</head> 
+</head>
 
 <body>
-<?php 
+<?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 /*
 V4.81 3 May 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence.
-  
-  Benchmark code to test the speed to the ADODB library with different databases.
-  This is a simplistic benchmark to be used as the basis for further testing.
-  It should not be used as proof of the superiority of one database over the other.
-*/ 
- 
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+
+	Benchmark code to test the speed to the ADODB library with different databases.
+	This is a simplistic benchmark to be used as the basis for further testing.
+	It should not be used as proof of the superiority of one database over the other.
+*/
+
 $testmssql = true;
 //$testvfp = true;
 $testoracle = true;
-$testado = true; 
+$testado = true;
 $testibase = true;
 $testaccess = true;
 $testmysql = true;
@@ -37,37 +42,37 @@
 GLOBAL $ADODB_version,$ADODB_FETCH_MODE;
 
 	adodb_backtrace();
-	
+
 	$max = 100;
 	$sql = 'select * from ADOXYZ';
 	$ADODB_FETCH_MODE = ADODB_FETCH_NUM;
-	
+
 	//print "<h3>ADODB Version: $ADODB_version Host: <i>$db->host</i> &nbsp; Database: <i>$db->database</i></h3>";
-	
-	// perform query once to cache results so we are only testing throughput 
+
+	// perform query once to cache results so we are only testing throughput
 	$rs = $db->Execute($sql);
 	if (!$rs){
 		print "Error in recordset<p>";
 		return;
-	}	
+	}
 	$arr = $rs->GetArray();
 	//$db->debug = true;
 	global $ADODB_COUNTRECS;
 	$ADODB_COUNTRECS = false;
 	$start = microtime();
 	for ($i=0; $i < $max; $i++) {
-		$rs =& $db->Execute($sql);	
+		$rs =& $db->Execute($sql);
 		$arr =& $rs->GetArray();
-	   //		 print $arr[0][1];
+		//		 print $arr[0][1];
 	}
 	$end =  microtime();
 	$start = explode(' ',$start);
 	$end = explode(' ',$end);
-	
+
 	//print_r($start);
 	//print_r($end);
-	
-	  //  print_r($arr);
+
+		//  print_r($arr);
 	$total = $end[0]+trim($end[1]) - $start[0]-trim($start[1]);
 	printf ("<p>seconds = %8.2f for %d iterations each with %d records</p>",$total,$max, sizeof($arr));
 	flush();
@@ -81,4 +86,4 @@
 
 
 </body>
-</html>
+</html>
\ No newline at end of file
Index: typo3/sysext/adodb/adodb/tests/time.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/time.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/time.php	(working copy)
@@ -1,14 +1,18 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
 include_once('../adodb-time.inc.php');
 //adodb_date_test();
 ?>
-<?php 
-//require("adodb-time.inc.php"); 
+<?php
+//require("adodb-time.inc.php");
 
-$datestring = "1963-12-04"; // string normally from mySQL 
+$datestring = "1963-12-04"; // string normally from mySQL
 $stringArray = explode("-", $datestring);
-$date = adodb_mktime(0,0,0,$stringArray[1],$stringArray[2],$stringArray[0]); 
+$date = adodb_mktime(0,0,0,$stringArray[1],$stringArray[2],$stringArray[0]);
 
 $convertedDate = date("d-M-Y", $date); // converted string to UK style date
 
